EMBASSY Security Center 2.8.4

Operating Systems:

                  -   Microsoft Windows 7, 32 bit or 64 bit Professional, Enterprise, or Ultimate.

                  -   Microsoft Windows Vista 32 bit or 64 bit, Enterprise or Ultimate. SP2 or higher required.

                  -   Microsoft Windows XP Professional 32 bit SP3, or 64 bit, SP2 or higher.

 

EMBASSY Security Center 2.9.5

Operating Systems:

                  -   Microsoft Windows 7, 32 bit or 64 bit Professional, Enterprise, or Ultimate.

                  -   Microsoft Windows Vista 32 bit or 64 bit, Enterprise or Ultimate. SP2 or higher required.

                  -   Microsoft Windows XP Professional 32 bit SP3, or 64 bit, SP2 or higher.

 

EMBASSY Security Center 2.10.2

Operating Systems:

                  -   Microsoft Windows 7, 32 bit or 64 bit Professional, Enterprise, or Ultimate.

                  -   Microsoft Windows Vista 32 bit or 64 bit, Enterprise or Ultimate. SP2 or higher required.

                  -   Microsoft Windows 8,  32 bit or 64 bit Professional, or Enterprise *

      -   Microsoft Windows 8.1,  32 bit or 64 bit Professional, or Enterprise *

* SED Pre-boot support with UEFI Bios is available for specific platforms. Contact Support for more information.